<!-- -------------------- ./mgmt/modals/signature_request_modal.html -------------------- -->
<dialog aria-labelledby="signature-request-modal-title" role="dialog" id="signature-request-modal" class="fr-modal" data-fr-concealing-backdrop="false">

<div class="fr-container fr-container--fluid fr-container-md">
  <div class="fr-grid-row fr-grid-row--center">
    <div class="fr-col-12 fr-col-md-10 fr-col-lg-10">
      <div class="fr-modal__body">
        <div class="fr-modal__header">
          <button class="fr-btn--close fr-btn" title="Fermer la fenêtre modale" aria-controls="signature-request-modal">
            Fermer
          </button>
        </div>

        <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('MultiSignReq'); ?>" target="_top">
          <input id="md_imp_did" type="hidden" name="DID" value="" />
          <input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>" />
          <input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>" />
          <div class="fr-modal__content">
            <h1 id="fr-modal-title-modal-1" class="fr-modal__title">
              <span class="fr-icon-draft-line fr-icon--lg" aria-hidden="true"></span>
              Demande de signature
            </h1>

            <p>
              <strong>Envoyer les dossiers sélectionnés, par mail, au
                signataire</strong>
              <br />
              Les dossiers passeront en état non modifiable jusqu'à la
              finalisation ou l'abandon du processus de signature.
            </p>

            <div class="podoc-content">
              Demandeur

              <div class="">
                <p>
                  Soyez prévenu une fois la signature effectuée
                </p>

                <div class="fr-input-group">
                  <label for="frm-dat" class="fr-label">
                    Adresse mail demandeur :
                  </label>
                  <div class="input-group">
                    <input type="text" class="fr-input" value="<?php echo $this->ASKER; ?>" name="SIGNASKR" id="SIGNASKR" />
                  </div>
                </div>
              </div>
            </div>

            <div class="podoc-content">
              Signataire

<template id="extraSignerRowTemplate">
  <div class="extraSignerRow fr-mt-1w">
    <div class="gn-input-with-right-button" style="display: grid; grid-template-columns: 3fr 1fr 2fr;">
      <input type="email" class="fr-input" value="" name="SIGNMEL[]" id="SIGNMEL" required autocomplete="off" <?php echo !empty($this->UCONTACTS)? 'list="user-contacts"':'' ?>
      />
      <button class="fr-btn fr-btn--sm removeSignerLine gn-btn--red" tabindex="-1"><span class="fr-icon-delete-fill" aria-hidden="true"></span></button>
    </div>
  </div>
</template>

              <div>
      <div class="fr-input-group" id="signersRowsContainer">
        <label for="SIGNMEL" class="fr-label">Adresse email du signataire
          <span class="fr-hint-text">cela servira à l'identification de ce dernier en plus d'un code à usage unique envoyé par SMS.</span>
        </label>
        <div class="gn-input-with-right-button" style="display: grid; grid-template-columns: 3fr 1fr 2fr;">
          <input type="email" class="fr-input" value="" name="SIGNMEL[]" id="SIGNMEL" required autocomplete="off" <?php echo !empty($this->UCONTACTS)? 'list="user-contacts"':'' ?>
          />
          <div><!-- empty div to use a column in grid column template--></div>
          <button class="fr-btn fr-btn--sm addSignerLine" style="justify-self:end;"><span class="fr-icon-user-add-fill fr-mr-1w" aria-hidden="true"></span> Ajouter un signataire</button>
        </div>
      </div>

                
<?php if( @$this->UCONTACTS ): ?>
<datalist id="user-contacts">
  <?php foreach($this->UCONTACTS as $cmail => $cname): ?>
  <option value="<?php echo $cmail; ?>">
    <?php echo $cname . ' - ' . $cmail; ?>
  </option>
  <?php endforeach; ?>
</datalist>
<?php endif; ?>
                <div class="fr-input-group">
                  <label for="SIGNCOMM" class="fr-label">
                    Message pour le signataire :
                  </label>
                  <div class="">
                    <textarea class="fr-input" name="SIGNCOMM" id="SIGNCOMM"></textarea>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <input id="did_imp_multi" type="hidden" name="SIGREQLIST" />

          <div class="fr-modal__footer">
            <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-center">
              <li>
                <button type="submit" class="fr-btn fr-icon-check-line fr-btn--icon-right">
                  OK
                </button>
              </li>
              <li>
                <button class="fr-btn fr-icon-arrow-go-back-line fr-btn--secondary fr-btn--icon-left" aria-controls="signature-request-modal" onclick="event.preventDefault()">
                  Annuler
                </button>
              </li>
            </ul>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php if(!empty($this->ASKER)): ?>
<script>
  (function initAddRemoveSignerRow() {

    const template = document.getElementById("extraSignerRowTemplate");
    const sigRowParent = document.getElementById('signersRowsContainer');

    // Event delegation on container
    sigRowParent.addEventListener('click', function (e) {
      const addSignerButton = document.querySelector('.addSignerLine');

      if (e.target.classList.contains('removeSignerLine') || e.target.parentNode.classList.contains('removeSignerLine')) {
        e.preventDefault();

        e.target.closest('.extraSignerRow').remove();
        //on remet le bouton ajouter un signataire s'il n'y en a plus.
        if (!document.querySelector('.addSignerLine')) {
          sigRowParent.lastElementChild.querySelector('[name="SIGNMEL[]"]').parentNode.appendChild(addSignerButton);
        }

      }

      if (e.target.classList.contains('addSignerLine') || e.target.parentNode.classList.contains('addSignerLine')) {
        e.preventDefault();
        const newSigRowTpl = document.importNode(template.content, true);

        addSignerButton.remove(); //on supprime le bouton ajouter un signataire pour le rajouter sur la dernière ligne
        sigRowParent.appendChild(newSigRowTpl);
        sigRowParent.lastElementChild.querySelector('.gn-input-with-right-button').appendChild(addSignerButton);
        sigRowParent.lastElementChild.querySelector('[name="SIGNMEL[]"]').focus();
      }
    });
  })();
</script>
<?php endif; ?>
</dialog>
